netbeans-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Nabbefeld <peter.nabbef...@gmx.de>
Subject Re: Cannot build NetBeans from source
Date Sat, 29 Dec 2018 22:36:26 GMT
Hi Matthias,


Am 29.12.18 um 20:27 schrieb Matthias Bläsing:
> Hi Peter,
>
> Am Samstag, den 29.12.2018, 20:20 +0100 schrieb Peter Nabbefeld:
>> Thank You for Your answers! My problem is slightly more complex: NB
>> has
>> been able to compile its own sources most of the time, and IMHO it
>> should be able to do that. The necessity of working around a buggy
>> build
>> system is not compatible to a high-quality IDE like NB has always
>> been.
> I think we all agree on this and any work into that direction is
> appretiated.
>
> If I remember correctly though, netbeans was traditionally compiled
> with JDK current - 1 and some time after release was fixed to be
> compilable with the current JDK. Witht the faster release cadence of
> the JDK and given the wide split: JDK 8 (non-modular) to JDK 11
> (modular, deprecated modules removed), it was to be expected that
> breakage occurs.

Ack. However, one of the problems seems to be rather old, but it pops up 
now because of Jigsaw: instead of only extending the features of Java, 
NB now must also handle removed features and probably their substitutes. 
That makes it very hard to support more than one JDK at the same time. 
As a result of this, I think there's no way to also support multiple 
JDKs for building NB, and of course it will be a challenge to support 
some recent JDK.

As a result of this, IMHO it's essential to implement a consistent build 
infrastructure, with every build script using the same JDK. This seems 
not to be the case, currently. In the past, as every JDK mostly extended 
existing features, that's not been a problem, but IMHO this is important 
now to be fixed.

Just for clarification: I don't have a problem with the fact, that I 
need JDK 8 for the build process. My problem just is, that I should be 
able to configure the build to use JDK 8, and then every build script 
should use that JDK. As a developer, it's essential for me to have 
several JDKs installed, but I'd need also build scripts using one JDK 
consistently.

Kind regards

Peter

>
> Greetings
>
> Matthias
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@netbeans.incubator.apache.org
> For additional commands, e-mail: dev-help@netbeans.incubator.apache.org
>
> For further information about the NetBeans mailing lists, visit:
> https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists
>
>
>


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@netbeans.incubator.apache.org
For additional commands, e-mail: dev-help@netbeans.incubator.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists




Mime
View raw message